package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.CorpInfoXgfE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-10-31 10:52:09
 */
public interface CorpInfoXgfGateway {

    /**
     * 新增
     */
    Boolean add(CorpInfoXgfE corpInfoXgfE);

    /**
     * 新增，返回主键id
     * @param corpInfoXgfE
     * @return
     */

    Long addInfo(CorpInfoXgfE corpInfoXgfE);

    /**
     * 修改
     */
    Boolean update(CorpInfoXgfE corpInfoXgfE);

    /**
     * 删除
     */
    Boolean deletedCorpInfoXgfById(Long id);

    Boolean deletedCorpInfoXgfByIds(Long[] id);
}

